Bug 190007 - [patch] Add staging support to www/asql
Summary: [patch] Add staging support to www/asql
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-20 15:20 UTC by joe
Modified: 2014-05-20 19:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.09 KB, patch)
2014-05-20 15:20 UTC, joe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-20 15:20:00 UTC
Adds staging support to www/asql.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-20 15:20:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-20 18:51:50 UTC
Author: cs
Date: Tue May 20 17:51:47 2014
New Revision: 354661
URL: http://svnweb.freebsd.org/changeset/ports/354661
QAT: https://qat.redports.org/buildarchive/r354661/

Log:
  Staging support
  
  PR:		ports/190007
  Submitted by:	Joseph Benden <joe@thrallingpenguin.com>
  Approved by:	cs (maintainer)

Modified:
  head/www/asql/Makefile
  head/www/asql/files/patch-Makefile

Modified: head/www/asql/Makefile
==============================================================================
--- head/www/asql/Makefile	Tue May 20 17:42:39 2014	(r354660)
+++ head/www/asql/Makefile	Tue May 20 17:51:47 2014	(r354661)
@@ -16,7 +16,6 @@ RUN_DEPENDS=	p5-DBD-SQLite>=0:${PORTSDIR
 
 NO_BUILD=	yes
 PLIST_FILES=	bin/asql
-USES=		perl5
-
-NO_STAGE=	yes
+USES=		perl5 shebangfix
+SHEBANG_FILES=	bin/asql
 .include <bsd.port.mk>

Modified: head/www/asql/files/patch-Makefile
==============================================================================
--- head/www/asql/files/patch-Makefile	Tue May 20 17:42:39 2014	(r354660)
+++ head/www/asql/files/patch-Makefile	Tue May 20 17:51:47 2014	(r354661)
@@ -1,5 +1,5 @@
---- Makefile.orig	2008-10-15 09:37:42.000000000 +0800
-+++ Makefile	2008-10-15 09:38:00.000000000 +0800
+--- Makefile.orig	2012-09-13 00:38:26.000000000 -0700
++++ Makefile	2014-05-20 07:09:07.000000000 -0700
 @@ -40,9 +40,8 @@
  	hg diff 2>/dev/null
  
@@ -7,8 +7,8 @@
 -	mkdir -p ${PREFIX}/usr/bin/
 -	cp bin/asql ${PREFIX}/usr/bin/asql
 -	chmod 755 ${PREFIX}/usr/bin/asql
-+	cp bin/asql ${PREFIX}/bin/asql
-+	chmod 755 ${PREFIX}/bin/asql
++	cp bin/asql ${DESTDIR}${PREFIX}/bin/asql
++	chmod 755 ${DESTDIR}${PREFIX}/bin/asql
  
  
  release: clean commands
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Carlo Strub freebsd_committer 2014-05-20 18:52:00 UTC
State Changed
From-To: open->closed

Committed. Thank you very much. Are you using this port a lot? Would you like to maintain it in the future?